# Configuration file for the Sphinx documentation builder.
#
# For the full list of built-in configuration values, see the documentation:
# https://www.sphinx-doc.org/en/master/usage/configuration.html
import os
import sys

sys.path.insert(0, os.path.abspath('..'))  # Add path relative to the configuration directory.

# -- Project information -----------------------------------------------------
# https://www.sphinx-doc.org/en/master/usage/configuration.html#project-information

project = 'fred-verification'
author = 'Vlastimil Zíma'
release = '1.5.3'

# -- General configuration ---------------------------------------------------
# https://www.sphinx-doc.org/en/master/usage/configuration.html#general-configuration
templates_path = ['_templates']
exclude_patterns = ['_build', '.tox']

extensions = ['sphinx.ext.autodoc', 'sphinx.ext.napoleon']
autodoc_default_options = {
    'members': True,
    'show-inheritance': True,
}
autodoc_member_order = 'bysource'
autodoc_mock_imports = [
    "filed",
    "frgal",
    "hermes",
    "pydantic",
    "pytz",
    "regal",
    "sqlalchemy",
    "sqlalchemy_utc",
    "sqlalchemy_utils",
    "typist",
    "yaml",
]

# -- Options for HTML output -------------------------------------------------
# https://www.sphinx-doc.org/en/master/usage/configuration.html#options-for-html-output

html_theme = 'alabaster'
html_theme_options = {
    'sidebar_width': '310px',
}
html_static_path = ['_static']
