"""Simple script to create database for tests."""
import asyncio

from verification.database import get_engine
from verification.tests.utils import create_database, database_exists


async def main() -> None:
    engine_url = get_engine().url
    if not await database_exists(engine_url):
        await create_database(engine_url)


if __name__ == '__main__':
    asyncio.run(main())
