"""Simple script to drop database for tests."""
import asyncio

from verification.database import get_engine
from verification.tests.utils import database_exists, drop_database


async def main() -> None:
    engine_url = get_engine().url
    if await database_exists(engine_url):
        await drop_database(engine_url)


if __name__ == '__main__':
    asyncio.run(main())
