"""Update status constraints.

Revision ID: 08ffe052b62c
Revises: 37304aea0b20
Create Date: 2023-06-26 13:03:15.025941+00:00

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "08ffe052b62c"
down_revision = "37304aea0b20"
branch_labels = None
depends_on = None


def upgrade() -> None:
    op.drop_index(op.f("verification_verification_contact_id_active_key"), "verification_verification")
    op.create_index(
        op.f("verification_verification_contact_id_active_key"),
        "verification_verification",
        ["contact_id"],
        unique=True,
        postgresql_where=sa.text(
            "status IN ('CREATED', 'INITIALIZED', 'ACCESSED', 'PENDING', 'CONSTRAINED', 'FUTILE', 'PAUSED')"
        ),
        sqlite_where=sa.text(
            "status IN ('CREATED', 'INITIALIZED', 'ACCESSED', 'PENDING', 'CONSTRAINED', 'FUTILE', 'PAUSED')"
        ),
    )


def downgrade() -> None:
    op.drop_index(op.f("verification_verification_contact_id_active_key"), "verification_verification")
    op.create_index(
        op.f("verification_verification_contact_id_active_key"),
        "verification_verification",
        ["contact_id"],
        unique=True,
        postgresql_where=sa.text(
            "status IN ('CREATED', 'INITIALIZED', 'ACCESSED', 'PENDING', 'CONSTRAINED', 'FUTILE')"
        ),
        sqlite_where=sa.text("status IN ('CREATED', 'INITIALIZED', 'ACCESSED', 'PENDING', 'CONSTRAINED', 'FUTILE')"),
    )
