"""Add skipped_at

Revision ID: 73ad51054014
Revises: ec2101e7d847
Create Date: 2024-06-06 13:04:29.106887+00:00

"""
import sqlalchemy as sa
from alembic import op
from sqlalchemy_utc.sqltypes import UtcDateTime

# revision identifiers, used by Alembic.
revision = "73ad51054014"
down_revision = "ec2101e7d847"
branch_labels = None
depends_on = None


def upgrade() -> None:
    with op.batch_alter_table("verification_scorequeue", schema=None) as batch_op:
        batch_op.add_column(
            sa.Column("skipped_at", UtcDateTime(timezone=True), nullable=True)
        )


def downgrade() -> None:
    with op.batch_alter_table("verification_scorequeue", schema=None) as batch_op:
        batch_op.drop_column("skipped_at")
