"""Add indexes.

Revision ID: c11df347a330
Revises: 02642a30fecc
Create Date: 2023-06-19 08:44:57.237875+00:00

"""
from alembic import op

# revision identifiers, used by Alembic.
revision = "c11df347a330"
down_revision = "02642a30fecc"
branch_labels = None
depends_on = None


def upgrade() -> None:
    with op.batch_alter_table("verification_verification", schema=None) as batch_op:
        batch_op.create_index(batch_op.f("verification_verification_contact_id_key"), ["contact_id"], unique=False)

    with op.batch_alter_table("verification_token", schema=None) as batch_op:
        batch_op.create_unique_constraint(batch_op.f("verification_token_token_key"), ["token"])

    with op.batch_alter_table("verification_event", schema=None) as batch_op:
        batch_op.create_index(batch_op.f("verification_event_verification_id_key"), ["verification_id"], unique=False)

    with op.batch_alter_table("verification_contactdata", schema=None) as batch_op:
        batch_op.create_index(
            batch_op.f("verification_contactdata_verification_id_key"), ["verification_id"], unique=False
        )


def downgrade() -> None:
    with op.batch_alter_table("verification_contactdata", schema=None) as batch_op:
        batch_op.drop_index(batch_op.f("verification_contactdata_verification_id_key"))

    with op.batch_alter_table("verification_event", schema=None) as batch_op:
        batch_op.drop_index(batch_op.f("verification_event_verification_id_key"))

    with op.batch_alter_table("verification_token", schema=None) as batch_op:
        batch_op.drop_constraint(batch_op.f("verification_token_token_key"), type_="unique")

    with op.batch_alter_table("verification_verification", schema=None) as batch_op:
        batch_op.drop_index(batch_op.f("verification_verification_contact_id_key"))
