"""Add domain

Revision ID: ec2101e7d847
Revises: b4b56292804c
Create Date: 2024-05-23 14:14:03.751081+00:00

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "ec2101e7d847"
down_revision = "ab05205d07e0"
branch_labels = None
depends_on = None


def upgrade() -> None:
    op.create_table(
        "verification_domain",
        sa.Column("verification_id", sa.Integer(), nullable=False),
        sa.Column("domain_id", sa.Text(), nullable=False),
        sa.Column("fqdn", sa.Text(), nullable=False),
        sa.Column("id", sa.Integer(), nullable=False),
        sa.ForeignKeyConstraint(
            ["verification_id"], ["verification_verification.id"], name=op.f("verification_domain_verification_id_fk")
        ),
        sa.PrimaryKeyConstraint("id", name=op.f("verification_domain_pkey")),
        sa.UniqueConstraint("verification_id", "domain_id", name="verification_domain_id_key"),
    )


def downgrade() -> None:
    op.drop_table("verification_domain")
