from typing import Any, Dict, Tuple
from unittest.mock import sentinel

from regal import Contact

from verification.checks import BaseCheck

from .utils import TransactionTestCase


class TestCheck(BaseCheck):
    """Simple check for testing."""

    async def _get_results(self, contact: Contact) -> Tuple[Dict[str, Any], float]:
        return sentinel.details, sentinel.value


class BaseCheckTest(TransactionTestCase):

    def test_repr(self):
        processor = TestCheck(name='psirens')
        self.assertEqual(repr(processor), "<TestCheck 'psirens'>")

    async def test_evaluate(self):
        check = TestCheck(name=sentinel.name)

        result = await check.evaluate(sentinel.contact)

        self.assertEqual(result.name, sentinel.name)
        self.assertEqual(result.value, sentinel.value)
        self.assertEqual(result.details, sentinel.details)
